gnutls_x509_crq_get_key_purpose_oid(3)

NAME
gnutls_x509_crq_get_key_purpose_oid - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_get_key_purpose_oid(gnutls_x509_crq_t crq, unsigned indx, void * oid, size_t * sizeof_oid, unsigned int * critical);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t type

unsigned indx
    This specifies which OID to return, use (0) to get the first one

void * oid
    a pointer to store the OID (may be NULL)

size_t * sizeof_oid
    initially holds the size of oid

unsigned int * critical
    output variable with critical flag, may be NULL.

DESCRIPTION
This function will extract the key purpose OIDs of the Certificate specified by the given index. These are stored in the Extended Key Usage extension (2.5.29.37). See the GNUTLS_KP_* definitions for human readable names.

RETURNS
GNUTLS_E_SHORT_MEMORY_BUFFER if the provided buffer is not long enough, and in that case the * sizeof_oid will be updated with the required size. On success 0 is returned.

SINCE
2.8.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/